FROM node:20-alpine
WORKDIR /app

COPY package*.json ./
RUN npm ci --omit=dev || npm install --production
COPY . .

RUN apk add --no-cache curl

EXPOSE 4000

HEALTHCHECK --interval=10s --timeout=3s --retries=12 --start-period=30s   CMD curl -fsS http://localhost:4000/api/health || exit 1

CMD ["node","src/index.js"]
